> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Reservation

> Delete a reservation. Set runSynchronous to "true" to perform this call synchronously with better performance time.



## OpenAPI

````yaml /openapi/openapi_reservation.json delete /commerce/reservation/{reservationId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_RESERVATION">
                <h2>RESERVATIONS</h2>
                <p>The Reservation APIs are used to create and manage inventory reservations. This includes updating items and quantities, fulfillment methods, zip codes and pickup locations, and resetting
                    the expiration timer for a reservation. For more information, see the <a href="/pages/reserve-inventory-in-cart">Reservations feature guide</a>.
                </p>
            </div>
  title: Reservation Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/reservation/{reservationId}:
    delete:
      tags:
        - Reservation
      summary: Delete Reservation
      description: >-
        Delete a reservation. Set runSynchronous to "true" to perform this call
        synchronously with better performance time.
      parameters:
        - in: path
          name: reservationId
          required: true
          schema:
            type: string
        - in: query
          name: runSynchronous
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````